<?php

namespace Drupal\az_blob_fs\Asset;

use Drupal\Core\Asset\CssOptimizer;

/**
 * Optimizes a CSS asset.
 */
class AzBlobFsCssOptimizer extends CssOptimizer {

  /**
   * {@inheritdoc}
   */
  // @codingStandardsIgnoreStart
  public function rewriteFileURI($matches, string $base_path = NULL): string {
    // @codingStandardsIgnoreEnd
    // Prefix with base and remove '../' segments where possible.
    $path = $base_path
      ? $base_path . $matches[1]
      : $this->rewriteFileURIBasePath . $matches[1];

    $last = '';
    while ($path !== $last) {
      $last = $path;
      $path = preg_replace('`(^|/)(?!\.\./)([^/]+)/\.\./`', '$1', $path);
    }

    return 'url(' . file_create_url($path) . ')';
  }

}
